package main

import (
	"testing"
)

func TestOriginRegex(t *testing.T) {
	tests := []struct {
		name string
		in   string
		want bool
	}{
		{"SecurePseuCoCom", "https://pseuco.com", true},
		{"SecurePseuCoComSub", "https://test.pseuco.com", true},
		{"PseuCoCom", "http://pseuco.com", true},
		{"PseuCoComSub", "http://test.pseuco.com", true},
		{"LocalIP", "http://127.0.0.1", true},
		{"Localhost", "http://localhost", true},
		{"LocalhostSub", "http://pseuco.localhost", true},

		{"OtherHost", "http://example.com", false},
		{"OtherIP", "http://192.168.2.1", false},
		{"BrokenIP", "http://127,0,0,1", false},
	}
	for _, test := range tests {
		t.Run(test.name, func(t *testing.T) {
			if got := originRegex.MatchString(test.in); got != test.want {
				t.Errorf("checkOrigin() = %v, want %v", got, test.want)
			}
		})
	}
}
